### Method

# Gtk Pictureset_alternative_text

#### Declaration [src]

    void
    gtk_picture_set_alternative_text (
      GtkPicture* self,
      const char* alternative_text
    )

#### Description [src]

Sets an alternative textual description for the picture contents.

It is equivalent to the “alt” attribute for images on websites.

This text will be made available to accessibility tools.

If the picture cannot be described textually, set this property to `NULL`.

Sets property | `Gtk.Picture:alternative-text`

#### Parameters

`alternative_text`

  Type: `const char*`

  A textual description of the contents.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.